using System;

namespace Perforce.Model {
    public class FavoriteTagItem : IEquatable<FavoriteTagItem> {
        public string TagName { get; set; }
        public bool Selected { get; set; }

        public override int GetHashCode() {
            return TagName.ToUpper().GetHashCode();
        }

        public bool Equals(FavoriteTagItem other) {
            return TagName.Equals(other.TagName, StringComparison.CurrentCultureIgnoreCase);
        }
    }
}
